#include <iostream>
#include <math.h>

using namespace std;

int x1,x2,y_1,y2;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>x1>>y_1>>x2>>y2;
    if(x1==x2 || y_1==y2){
        cout<<2;
    }else if(abs(x1-x2)==abs(y_1-y2)){
        cout<<1;
    }else{
    cout<<0;
    }

    return 0;
}